/******************************************************************************
 *
 * ISO MPEG Audio Subgroup Software Simulation Group (1996)
 * ISO 13818-3 MPEG-2 Audio Decoder - Lower Sampling Frequency Extension
 * 
 * 
 * This software module was originally developed by 
 * 
 *   Matejko Michael (Fraunhofer IIS) 
 * 
 * and edited by 
 * 
 * 
 * 
 * in the course of development of the ISO/IEC 13818-3 for reference purposes
 * and its performance may not have been optimized. This software module is
 * an implementation of one or more tools as specified by the ISO/IEC 13818-3.
 * ISO/IEC gives You a royalty-free, worldwide, non-exclusive, copyright
 * license to copy, distribute, and make derivative works of this software
 * module ormodifications thereof for use in implementations of the 
 * ISO/IEC 13818-3  in products that satisfy conformance criteria (if any).
 * Those intending to use this software module in products are advised that 
 * its use may infringe existing patents. ISO/IEC have no liability for use of
 * this software module or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual
 * and image-coding related ITU Recommendations and/or ISO/IEC International
 * Standards. 
 * 
 ******************************************************************************/

/******************************************************************************
 * ATTENTION: Documentation is generated by DoxyGen using "make docs"
 ******************************************************************************/

#ifndef DEBUG_H_
#define DEBUG_H_

#include <stdio.h>

typedef enum 
{
  D_ERROR = 0,
  D_WARNING = 1,
  D_NOTICE = 2,
  D_NOTICE_L1 = 3,
  D_NOTICE_L2 = 4,
  D_NOTICE_L3 = 5,
  D_DEBUG = 6,
  D_DEBUG_L1 = 7,
  D_DEBUG_L2 = 8,
  D_DEBUG_L3 = 9
} errorLevel;

typedef struct TAG_debug* HANDLE_debug;
 
HANDLE_debug debugInit (errorLevel level, FILE* stream);
void debugSetLevel  (HANDLE_debug dbg, errorLevel level);
void debugSetStream (HANDLE_debug dbg, FILE *stream);
void debugEnter     (HANDLE_debug dbg, char *function);
void debugLeave     (HANDLE_debug dbg);
void debugPrintf    (HANDLE_debug dbg, errorLevel level, char* format, ...);
void debugSetPrefix (HANDLE_debug dbg, char* format, ...);
void debugFree      (HANDLE_debug dbg);

#endif /*DEBUG_H_*/
