/******************************************************************************
 *
 * ISO MPEG Audio Subgroup Software Simulation Group (1996)
 * ISO 13818-3 MPEG-2 Audio Decoder - Lower Sampling Frequency Extension
 * 
 * 
 * This software module was originally developed by 
 * 
 *   Matejko Michael (Fraunhofer IIS) 
 * 
 * and edited by 
 * 
 * 
 * 
 * in the course of development of the ISO/IEC 13818-3 for reference purposes
 * and its performance may not have been optimized. This software module is
 * an implementation of one or more tools as specified by the ISO/IEC 13818-3.
 * ISO/IEC gives You a royalty-free, worldwide, non-exclusive, copyright
 * license to copy, distribute, and make derivative works of this software
 * module ormodifications thereof for use in implementations of the 
 * ISO/IEC 13818-3  in products that satisfy conformance criteria (if any).
 * Those intending to use this software module in products are advised that 
 * its use may infringe existing patents. ISO/IEC have no liability for use of
 * this software module or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual
 * and image-coding related ITU Recommendations and/or ISO/IEC International
 * Standards. 
 * 
 ******************************************************************************/

/******************************************************************************
 * ATTENTION: Documentation is generated by DoxyGen using "make docs"
 ******************************************************************************/

#ifndef DECLAYER123_H
#define DECLAYER123_H

#include <stdio.h>
#include "pcmBuffer.h"
#include "bitBuffer.h"

/**
 * decLayer123 Error Codes
 */
typedef enum 
{
  L123_NO_ERROR = 0,
  L123_UNKNOWN_ERROR,
  L123_CRC_ERROR,       /**< crc didn't pass */
  L123_UNDERRUN_ERROR   /**< not enough data available for decoding */
} ERROR_CODE_decLayer123;

/**
 * Decoder core encapsuation struct 
 */
typedef struct TAG_decLayer123* HANDLE_decLayer123;

/**
 * Get info about decoder core. This will be printed to helpStream
 * @return Pointer to version string
 */
char *decLayer123Info (FILE* helpStream);

/**
 * Initialisation of the decoder core
 * @param decPara Parameters from command line
 * @param debugStream Output stream for debug information
 * @return Decoder instance variable
 */
HANDLE_decLayer123 decLayer123Init (char *decPara, FILE* debugStream);

/**
 * Decode one audio frame and return PCM data using initialized decoder core.
 * @param dec Decoder core handler
 * @param audioFrame Input audio frame buffer
 * @param pcmBuffer Output PCM buffer
 * @return Error code
 */
ERROR_CODE_decLayer123 decLayer123Frame (
    HANDLE_decLayer123  dec,
    HANDLE_bitBuffer    audioFrame,
    HANDLE_pcmBuffer    pcmBuffer
);

/**
 * Print some statistics with D_NOTICE level to debug stream
 * @param dec Decoder core handler
 */
void decLayer123PrintStats (HANDLE_decLayer123 dec);

/**
 * Free all allocated resources
 * @param dec Decoder core handler
 */
void decLayer123Free (HANDLE_decLayer123 dec);

#endif /* #ifndef DECLAYER123_H */
