/******************************************************************************
 *
 * ISO MPEG Audio Subgroup Software Simulation Group (1996)
 * ISO 13818-3 MPEG-2 Audio Decoder - Lower Sampling Frequency Extension
 * 
 * 
 * This software module was originally developed by 
 * 
 *   Matejko Michael (Fraunhofer IIS) 
 * 
 * and edited by 
 * 
 * 
 * 
 * in the course of development of the ISO/IEC 13818-3 for reference purposes
 * and its performance may not have been optimized. This software module is
 * an implementation of one or more tools as specified by the ISO/IEC 13818-3.
 * ISO/IEC gives You a royalty-free, worldwide, non-exclusive, copyright
 * license to copy, distribute, and make derivative works of this software
 * module ormodifications thereof for use in implementations of the 
 * ISO/IEC 13818-3  in products that satisfy conformance criteria (if any).
 * Those intending to use this software module in products are advised that 
 * its use may infringe existing patents. ISO/IEC have no liability for use of
 * this software module or modifications thereof.
 * Copyright is not released for products that do not conform to audiovisual
 * and image-coding related ITU Recommendations and/or ISO/IEC International
 * Standards. 
 * 
 ******************************************************************************/

/******************************************************************************
 * ATTENTION: Documentation is generated by DoxyGen using "make docs"
 ******************************************************************************/

#ifndef FRAMEDEMUX_H_
#define FRAMEDEMUX_H_

#include "bitBuffer.h"

#define MAX_AU_FRAME_SIZE 64544 /* bits */
#define MAX_BS_FRAME_SIZE 64544 /* bits */ 

typedef enum 
{
  FMUX_NO_ERROR = 0,
  FMUX_UNKNOWN_ERROR,
  FMUX_END_OF_STREAM,
  FMUX_NOT_ENOUGH_DATA,
  FMUX_INVALID_FRAME_LENGTH,
  FMUX_INVALID_HEADER,
  FMUX_MAIN_DATA_ERROR,
  FMUX_SNYC_ERROR
} ERROR_CODE_frameDeMux;

typedef struct
{
  int length;       /* frame length in bits */
  int samplerate;   /* sampling frequency */
  int bitrate;
  int channels;     /* 1 for mono, 2 for stereo */
  int version;      /* MPEG version 1, 2 */
  int layer;        /* MPEG layer 1, 2, 3 */
} frameConfig;

typedef struct TAG_frameDeMux* HANDLE_frameDeMux;

HANDLE_frameDeMux frameDeMuxInit (HANDLE_bitBuffer bitstream, HANDLE_debug debug);
ERROR_CODE_frameDeMux frameDeMuxNext (HANDLE_frameDeMux fdm, HANDLE_bitBuffer audioFrame);
void frameDeMuxFree (HANDLE_frameDeMux fdm);
unsigned long frameDeMuxGotBits(HANDLE_frameDeMux fdm);
frameConfig frameDeMuxGetCurrentConfig(HANDLE_frameDeMux fdm);

#endif /*FRAMEDEMUX_H_*/
